ObjectOutputStream.PutField (Java SE 26 & JDK 26)
Description: declaration: module: java.base, package: java.io, class: ObjectOutputStream, class: PutField
Keywords: java.io.ObjectOutputStream.PutField class

# Class ObjectOutputStream.PutField

java.lang.Object
java.io.ObjectOutputStream.PutField

Enclosing class:
  `ObjectOutputStream`

public abstract static class ObjectOutputStream.PutField extends Object
Provide programmatic access to the persistent fields to be written to ObjectOutput.

Since:
  1.2

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PutField()`
  Constructor for subclasses to call.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract void`
  `put(String name, boolean val)`
  Put the value of the named boolean field into the persistent field.
  `abstract void`
  `put(String name, byte val)`
  Put the value of the named byte field into the persistent field.
  `abstract void`
  `put(String name, char val)`
  Put the value of the named char field into the persistent field.
  `abstract void`
  `put(String name, double val)`
  Put the value of the named double field into the persistent field.
  `abstract void`
  `put(String name, float val)`
  Put the value of the named float field into the persistent field.
  `abstract void`
  `put(String name, int val)`
  Put the value of the named int field into the persistent field.
  `abstract void`
  `put(String name, long val)`
  Put the value of the named long field into the persistent field.
  `abstract void`
  `put(String name, short val)`
  Put the value of the named short field into the persistent field.
  `abstract void`
  `put(String name, Object val)`
  Put the value of the named Object field into the persistent field.
  `abstract void`
  `write(ObjectOutput out)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  This method does not write the values contained by this `PutField` object in a proper format, and may result in corruption of the serialization stream.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### PutField

    public PutField()
    Constructor for subclasses to call.

- ## Method Details

  - ### put

    public abstract void put(String name, boolean val)
    Put the value of the named boolean field into the persistent field.
    Parameters:
      `name` - the name of the serializable field
      `val` - the value to assign to the field
    Throws:
      `IllegalArgumentException` - if `name` does not match the name of a serializable field for the class whose fields are being written, or if the type of the named field is not `boolean`

  - ### put

    public abstract void put(String name, byte val)
    Put the value of the named byte field into the persistent field.
    Parameters:
      `name` - the name of the serializable field
      `val` - the value to assign to the field
    Throws:
      `IllegalArgumentException` - if `name` does not match the name of a serializable field for the class whose fields are being written, or if the type of the named field is not `byte`

  - ### put

    public abstract void put(String name, char val)
    Put the value of the named char field into the persistent field.
    Parameters:
      `name` - the name of the serializable field
      `val` - the value to assign to the field
    Throws:
      `IllegalArgumentException` - if `name` does not match the name of a serializable field for the class whose fields are being written, or if the type of the named field is not `char`

  - ### put

    public abstract void put(String name, short val)
    Put the value of the named short field into the persistent field.
    Parameters:
      `name` - the name of the serializable field
      `val` - the value to assign to the field
    Throws:
      `IllegalArgumentException` - if `name` does not match the name of a serializable field for the class whose fields are being written, or if the type of the named field is not `short`

  - ### put

    public abstract void put(String name, int val)
    Put the value of the named int field into the persistent field.
    Parameters:
      `name` - the name of the serializable field
      `val` - the value to assign to the field
    Throws:
      `IllegalArgumentException` - if `name` does not match the name of a serializable field for the class whose fields are being written, or if the type of the named field is not `int`

  - ### put

    public abstract void put(String name, long val)
    Put the value of the named long field into the persistent field.
    Parameters:
      `name` - the name of the serializable field
      `val` - the value to assign to the field
    Throws:
      `IllegalArgumentException` - if `name` does not match the name of a serializable field for the class whose fields are being written, or if the type of the named field is not `long`

  - ### put

    public abstract void put(String name, float val)
    Put the value of the named float field into the persistent field.
    Parameters:
      `name` - the name of the serializable field
      `val` - the value to assign to the field
    Throws:
      `IllegalArgumentException` - if `name` does not match the name of a serializable field for the class whose fields are being written, or if the type of the named field is not `float`

  - ### put

    public abstract void put(String name, double val)
    Put the value of the named double field into the persistent field.
    Parameters:
      `name` - the name of the serializable field
      `val` - the value to assign to the field
    Throws:
      `IllegalArgumentException` - if `name` does not match the name of a serializable field for the class whose fields are being written, or if the type of the named field is not `double`

  - ### put

    public abstract void put(String name, Object val)
    Put the value of the named Object field into the persistent field.
    Parameters:
      `name` - the name of the serializable field
      `val` - the value to assign to the field (which may be `null`)
    Throws:
      `IllegalArgumentException` - if `name` does not match the name of a serializable field for the class whose fields are being written, or if the type of the named field is not a reference type

  - ### write

    @Deprecated(forRemoval=true, since="1.4") public abstract void write(ObjectOutput out) throws IOException
    Deprecated, for removal: This API element is subject to removal in a future version.
    This method does not write the values contained by this `PutField` object in a proper format, and may result in corruption of the serialization stream. The correct way to write `PutField` data is by calling the `ObjectOutputStream.writeFields()` method.
    Write the data and fields to the specified ObjectOutput stream, which must be the same stream that produced this `PutField` object.
    Parameters:
      `out` - the stream to write the data and fields to
    Throws:
      `IOException` - if I/O errors occur while writing to the underlying stream
      `IllegalArgumentException` - if the specified stream is not the same stream that produced this `PutField` object